Subject: Re: [Bitcoin-development] Implementing batch processing for -blocknotify

From: Michael Hendricks <[email-masked]>
Date: Fri, 31 May 2013 06:10:50 -0600

On Fri, May 31, 2013 at 5:56 AM, Rune Kjær Svendsen <[email-masked]>wrote:

> I have an application that wants to keep up with new blocks as they come
> in. For that I can use the -blocknotify option with bitcoind, which will
> execute my application for each new block.
>
> The problem is that my app isn't necessarily quick enough to finish its
> work before a new block comes in and the app is executed again.
>

In a similar circumstance, I changed my -blocknotify script to quickly
append necessary information to a queue and immediately exit.  A separate
script runs at all times monitoring this queue for work and performs the
labor intensive calculations.

I hope that helps.

-- 
Michael